

{% extends 'kpi/base.html'%}
{% load staticfiles %}
{% block title%}Статистика KPI{% endblock%}
{% block content %}
    <div class="container-fluid">
    <div class="row">
        <div class="col-lg-6 pull-left" style="padding: 15px;">
            <button id="changer" class="btn btn-default">Изменить вид диаграмм</button>
            <br>
        </div>
    </div>
    </div>
    <div id='bars' class="container" hidden>
        <ul class="list-group" >
        <div class="container-fluid">
             <div class="row">
                <div class="col-lg-10 center-block">
            {% for task in tasks %}
                <li class="list-group-item">
                    <h4>{{ task.context.name }}</h4>
                    <h5>{{ employee }}</h5>
                    <small><span class="time glyphicon glyphicon-time"></span>{{ task.get_date }}</small>
                    <div class = "Bar-Out">
                        <div id="taskId{{ task.id }}"class="Bar-In"></div>
                    </div>
                </li>
                <script>
                    var relation = {{ task.get_done_count }} / {{ task.count }} * 100;
                    document.getElementById("taskId{{ task.id }}").style.width = Math.floor(relation) + "%";
                    if(relation < 10) {
                        document.getElementById("taskId{{ task.id }}").innerHTML = '<span style="margin-left:10px">' + Math.floor(relation) + '</span>' + '%';
                    } else {
                        document.getElementById("taskId{{ task.id }}").innerHTML = Math.floor(relation) + '%';
                    }
                </script>
            {% endfor %}
                </div>
             </div>
        </div>
        </ul>
    </div>
    <div id = 'charts'>
        <div class="container-fluid">
            <div class="row">
                {% for task in tasks %}
                    <div class="col-lg-4">
                        <div class="well">
                            <div class="chart-title" style="margin-bottom: 20px">
                                <h4>{{ task.context.name }}</h4>
                                <h5>{{ employee }}</h5>
                                <small><span class="time glyphicon glyphicon-time"></span>{{ task.get_date }}</small>
                                <h5>Выполненно: <span id = 'percentId{{ task.id }}'></span></h5>
                            </div>
                            <div id="piechart_{{ task.id }}"></div>
                        </div>
                    </div>

                    <script>
                        document.getElementById("percentId{{ task.id }}").innerHTML = Math.floor(100 * {{ task.get_done_count}} / {{task.count}})+ "%";
                    </script>
                {% endfor %}
            </div>
        </div>
    </div>

    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
        google.charts.load('current', {'packages':['corechart']});
        google.charts.setOnLoadCallback(drawChart);
        function drawChart() {
            {% for task in tasks %}
                var doneCount = {{ task.get_done_count }};
                var count = {{ task.count }}
                count = count - doneCount;
                var data = google.visualization.arrayToDataTable([
                    ['Type', 'Number'],
                    ['Сделано',     doneCount],
                    ['',    count],
                ]);
                var piechart_options = {
                    pieHole: 0.5,
                    legend: {
                        position: 'none',
                    },
                    slices: {0: {textStyle:{color :'transparent'}},1: {textStyle:{color :'transparent'}}},
                    colors:['#3a63a8','#c7c7c7'],
                    chartArea:{
                        height: "90%",
                    },
                    backgroundColor: 'transparent'};
                var piechart = new google.visualization.PieChart(document.getElementById('piechart_{{ task.id }}'));
                piechart.draw(data, piechart_options);
            {% endfor %}
        }
    </script>
    <script>
        var changeTypeOfView = function () {
            if (document.getElementById('bars').hidden === true) {
                document.getElementById('bars').hidden = false;
                document.getElementById('charts').hidden = true;
                document.getElementById('changer').innerHTML = 'Изменить вид диаграмм';
            } else {
                document.getElementById('bars').hidden = true;
                document.getElementById('charts').hidden = false;
                document.getElementById('changer').innerHTML = 'Изменить вид диаграмм';
            }
        }

        document.getElementById('changer').addEventListener('click', changeTypeOfView);
    </script>
{% endblock content %}